<template>
  <div>
    <Player @close="$emit('close')" :url="url" :name="name" label="舱外" />
  </div>
</template>

<script>
import Player from "../components/player";
import { mapState } from "vuex";

export default {
  name: "OuterPlayer",
  components: { Player },
  data() {
    return {};
  },
  computed: {
    ...mapState("MMCFlightControlCenter/hangar", ["hangar"]),
    name() {
      return `${this.hangar?.name || ""}`;
    },
    url() {
      let find = this.hangar?.streamConfiguration
          ?.find((v) => v.urlType === 2)
      return find?.originalUrl || find?.lowLatencyUrl || find?.fluencyUrl || '';
    },
  },
  methods: {},
};
</script>

<style lang="scss" scoped>
</style>